Bug 219295 - browse button on some applications do not work
browse button on some applications do not work
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-12-12 09:59 EST by Cassio
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-22 10:13:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cassio 2006-12-12 09:59:42 EST
Description of problem: The 'browse files in the file system' functionality on
some programs do not work while SELinux is activated with the 'enforcing'
option. I have seen this problem with Eclipse 3.2.1 when clicking the open file
option(tested with 3.3 main stream build and the problem also occurs) and
azureus (when selecting the browse button to search for a torrent on the file
system). It seems to me that it may be something related to libswt. This can be
corrected by disabling SELinux.

Version-Release number of selected component (if applicable): selinux-policy
version 2.4.6 release 1.fc6 noarch.

How reproducible: Always.

Steps to Reproduce:
1. Start eclipse
2. Click open file menu item
Actual results: Eclipse will hang and the only way to terminate it is by killing it.

Expected results: Open the dialog containing the menus to browse the file system.

Additional info: Changing SELinux from 'enforcing' to 'disabled' solves the
problem in both Eclipse and Azureus.
Comment 1 Daniel Walsh 2006-12-12 11:35:59 EST
Are you seeing AVC messages in /var/log/messages or /var/log/audit/audit.log?
Comment 2 Cassio 2006-12-12 12:01:41 EST
Yes, the message i got in /var/log/messages is the following:

Dec 12 14:58:05 localhost dbus: Can't send to audit system: USER_AVC avc: 
denied  { send_msg } for msgtype=method_call interface=org.freedesktop.DBus
member=Hello dest=org.freedesktop.DBus spid=2857 scontext=user_u:system_r:java_t
tcontext=user_u:system_r:unconfined_t tclass=dbus : exe="/bin/dbus-daemon"
(sauid=500, hostname=?, addr=?, terminal=?)

I dont have a directory /var/log/audit
Comment 3 Daniel Walsh 2006-12-12 15:32:03 EST
Should be fixed in selinux-policy-2.4.6-7.fc6

You can grab this out of fedora-test.

or grab it off of 
Comment 4 Cassio 2006-12-12 17:55:32 EST
Thanks Daniel, I'll be waiting for it to come in the updates.
Comment 5 Daniel Walsh 2007-08-22 10:13:42 EDT
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.